services:
  memcache.factory:
    class: Drupal\memcache\DrupalMemcacheFactory
    arguments: ['@settings']
  cache.backend.memcache:
    class: Drupal\memcache\MemcacheBackendFactory
    arguments: ['@lock', '@settings', '@memcache.factory', '@cache_tags.invalidator.checksum']
